> ## Documentation Index
> Fetch the complete documentation index at: https://developers.partoo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Send test webhook payloads

> This endpoint let you try webhook configurations by sending test payloads.     This currently supports only one webhook configuration per request, entries after the first one will be ignored.       Payloads are created by the latest data of the specified event type, or if not available a default payload will be sent.       The request is similar to a regular webhook, but also contains an additional `X-Partoo-Webhook-Tryout` header.




## OpenAPI

````yaml /assets/openapi/openapi-bundled.yaml post /webhooks/tryout
openapi: 3.1.0
info:
  title: Partoo Rest API
  version: v2
  license:
    name: © Copyright Partoo
    url: https://www.partoo.co/en/gtu-api/
  x-logo:
    url: >-
      https://partoo-client-images.s3.amazonaws.com/logo-partoo-restapi-white.png
  description: >
    ## Introduction

    The Partoo Rest API allows you to automate all the actions that are possible
    to do in the Partoo Web Application.


    The Partoo Rest API can be used for many different purposes:
      - Create/update/delete your businesses & users if you are a client.
      - Create/subscribe/manage organizations, businesses & users if you are a reseller.
      - Retrieve data on businesses you have access to if you are a publisher.
      - ...
servers:
  - url: https://api.partoo.co/v2
    description: Production server
  - url: https://api.sandbox.partoo.co/v2
    description: Sandbox server (dev environment for clients & partners)
security:
  - ApiKeyAuth: []
paths:
  /webhooks/tryout:
    post:
      tags:
        - Webhooks
      summary: Send test webhook payloads
      description: >
        This endpoint let you try webhook configurations by sending test
        payloads.     This currently supports only one webhook configuration per
        request, entries after the first one will be ignored.       Payloads are
        created by the latest data of the specified event type, or if not
        available a default payload will be sent.       The request is similar
        to a regular webhook, but also contains an additional
        `X-Partoo-Webhook-Tryout` header.
      operationId: postWebhookTryout
      parameters:
        - $ref: '#/components/parameters/org_id'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateWebhooksPayload'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                allOf:
                  - type: object
                    properties:
                      items:
                        type: array
                        description: Result of the tests.
                        items:
                          $ref: '#/components/schemas/WebhookTryoutResult'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
components:
  parameters:
    org_id:
      name: org_id
      in: query
      schema:
        type: integer
      description: Organization identifier, only required for `PROVIDER` users.
      example: 1
      required: false
  schemas:
    CreateWebhooksPayload:
      type: object
      required:
        - items
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/CreateWebhookPayloadItem'
          description: The list of webhook configurations to create.
    WebhookTryoutResult:
      type: object
      properties:
        payload:
          type: object
          description: The webhook sent payload. Varies depending on the event type.
        event_type:
          $ref: '#/components/schemas/event_type'
        url:
          $ref: '#/components/schemas/url'
        status:
          $ref: '#/components/schemas/tryout_result_status'
    CreateWebhookPayloadItem:
      type: object
      required:
        - url
        - event_type
      properties:
        url:
          $ref: '#/components/schemas/webhook_url'
        event_type:
          $ref: '#/components/schemas/webhook_event_type'
        custom_headers:
          $ref: '#/components/schemas/CustomHeaders'
    event_type:
      type: string
      description: The webhook event type.
      enum:
        - business_created
        - business_updated
        - business_deleted
        - message_updated
        - message_created
        - lead_received
      example: business_created
    url:
      type: string
      description: The URL receiving the webhook's data.
      example: https://example.com/webhook
    tryout_result_status:
      type: string
      description: Result status of the webhook tryout.
      enum:
        - success
        - error
      example: success
    webhook_url:
      type: string
      description: The URL receiving the webhook's data. Only HTTPS URLs are supported.
      example: https://example.com/webhook
    webhook_event_type:
      type: string
      description: The webhook event type.
      example: business_created
    CustomHeaders:
      type: object
      description: >
        Custom HTTP headers to include in webhook requests. Keys must start with
        `X-` (case-insensitive) and must not use the reserved `X-Partoo` prefix.
        Maximum 5 headers. Key max length: 128 characters. Value max length: 512
        characters. The following characters are forbidden in header keys:
        space, `(`, `)`, `<`, `>`, `@`, `,`, `;`, `:`, `\`, `"`, `/`, `[`, `]`,
        `?`, `=`, `{`, `}`.
      maxProperties: 5
      propertyNames:
        type: string
        maxLength: 128
        pattern: ^[Xx]-(?![Pp][Aa][Rr][Tt][Oo][Oo])[^ ()<>@,;:\\\"\/\[\]?={}]*$
      additionalProperties:
        type: string
        maxLength: 512
      example:
        X-My-Header: my-value
        X-Auth-Token: secret-token
  responses:
    '400':
      description: Your request is incorrect
      content:
        application/json:
          schema:
            description: |
              Error that occcurs when your request is incorrect
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  json:
                    type: object
    '401':
      description: You are not authenticated
      content:
        application/json:
          schema:
            description: Error that occurs when you are not authenticated
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authentication:
                    type: string
                    default: User not authenticated
    '403':
      description: |
        You are not allowed to perform this action
      content:
        application/json:
          schema:
            description: >
              Error that occurs when you are authenticated but you are trying to
              perform an action you are not allowed to perform
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authorization:
                    type: string
                    default: Operation not allowed
  securitySchemes:
    ApiKeyAuth:
      description: >
        The authentication system on Partoo API is using API Key that should be
        put in the header of the request (the name of the header is `x-APIKey`).
        An api_key is linked to a user. This user's role will give you different
        access level to the API features.
      type: apiKey
      in: header
      name: x-APIKey

````